package org.ajax4jsf.bean;

public class A4JRegionTestBean {

    private Integer internal = 0;

    private Integer external = 0;

    private Integer value = 0;

    /**
     * Gets value of internal field.
     * 
     * @return value of internal field
     */
    public Integer getInternal() {
        return internal;
    }

    /**
     * Set a new value for internal field.
     * 
     * @param internal
     *                a new value for internal field
     */
    public void setInternal(Integer internal) {
        this.internal = internal;
    }

    /**
     * Gets value of external field.
     * 
     * @return value of external field
     */
    public Integer getExternal() {
        return external;
    }

    /**
     * Set a new value for external field.
     * 
     * @param external
     *                a new value for external field
     */
    public void setExternal(Integer external) {
        this.external = external;
    }

    /**
     * Gets value of value field.
     * 
     * @return value of value field
     */
    public Integer getValue() {
        return value;
    }

    /**
     * Set a new value for value field.
     * 
     * @param value
     *                a new value for value field
     */
    public void setValue(Integer value) {
        this.value = value;
    }
}
